Bug 134046 - archivers/unmakeself compile broken on FreeBSD-HEAD
Summary: archivers/unmakeself compile broken on FreeBSD-HEAD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-27 16:00 UTC by Oleg Ginzburg
Modified: 2009-05-02 00:50 UTC (History)
0 users

See Also:


Attachments
file.diff (221 bytes, patch)
2009-04-27 16:00 UTC, Oleg Ginzburg
no flags Details | Diff
file.diff (316 bytes, patch)
2009-04-27 16:00 UTC, Oleg Ginzburg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2009-04-27 16:00:00 UTC
no reference to lib who produce lots of SHA/MD5 function ( libcrypto and libmd )

oleg# make
===>  Vulnerability check disabled, database not found
===>  Extracting for unmakeself-1.1
===>  Patching for unmakeself-1.1
===>  Configuring for unmakeself-1.1
===>  Building for unmakeself-1.1
cc -O2 -pipe -fno-strict-aliasing  -I/usr/ports/archivers/unmakeself/work -o /usr/ports/archivers/unmakeself/work/unmakeself  /usr/ports/archivers/unmakeself/files/unmakeself.c -larchive -lbz2 -lz
/usr/lib/libarchive.so: undefined reference to `SHA1_Init'
/usr/lib/libarchive.so: undefined reference to `SHA256_Update'
/usr/lib/libarchive.so: undefined reference to `SHA512_Final'
/usr/lib/libarchive.so: undefined reference to `RIPEMD160_Final'
/usr/lib/libarchive.so: undefined reference to `SHA256_Final'
/usr/lib/libarchive.so: undefined reference to `SHA384_Final'
/usr/lib/libarchive.so: undefined reference to `SHA1_Update'
/usr/lib/libarchive.so: undefined reference to `SHA1_Final'
/usr/lib/libarchive.so: undefined reference to `MD5Final'
/usr/lib/libarchive.so: undefined reference to `SHA384_Init'
/usr/lib/libarchive.so: undefined reference to `SHA384_Update'
/usr/lib/libarchive.so: undefined reference to `SHA512_Init'
/usr/lib/libarchive.so: undefined reference to `RIPEMD160_Update'
/usr/lib/libarchive.so: undefined reference to `RIPEMD160_Init'
/usr/lib/libarchive.so: undefined reference to `SHA512_Update'
/usr/lib/libarchive.so: undefined reference to `MD5Init'
/usr/lib/libarchive.so: undefined reference to `MD5Update'
/usr/lib/libarchive.so: undefined reference to `SHA256_Init'
*** Error code 1

Stop in /usr/ports/archivers/unmakeself.

Fix: -LDFLAGS=       -larchive -lbz2 -lz
+LDFLAGS=       -larchive -lbz2 -lz -lcrypto -lmd
 NO_WRKSUBDIR=  yes

 PLIST_FILES=   bin/unmakeself
How-To-Repeat: on the CURRENT
make -C /usr/ports/archivers/unmakeself
Comment 1 Wesley Shields freebsd_committer 2009-04-27 21:26:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-05-02 00:45:52 UTC
wxs         2009-05-01 23:45:43 UTC

  FreeBSD ports repository

  Modified files:
    archivers/unmakeself Makefile 
  Log:
  - Unbreak on -CURRENT.
  
  PR:             ports/134046
  Submitted by:   Oleg Ginzburg <oleg.ginzburg@nevosoft.ru>
  
  Revision  Changes    Path
  1.11      +1 -1      ports/archivers/unmakeself/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wesley Shields freebsd_committer 2009-05-02 00:48:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!